Get bookings of an accountCopy Pageget https://www.bankingcircleconnect.com/api/v3/bookingsQuery ParamsaccountIduuidrequiredAccount identifier | Account.accountIdDateFromdate-timerequiredMinimum transaction date of bookings DateFrom and DateTo form a date range Only data from current and previous year is available online. Please contact Client Services to access older data Criteria: AccountBooking.TransactionDate must be equal or later Format: ISO 8601 | YYYY-MM-DDDateTostringMaximum transaction date of bookings DateFrom and DateTo form a date range Format: ISO 8601 | YYYY-MM-DDPartialDetailsstringFilter on bookings that contain the entered information in the remittance field. Criteria: AccountBooking.Details contains 'PartialDetails' - Case insensitivePartialCounterpartystringFilter on bookings where the name of the counterparty contains the entered information. Criteria: AccountBooking.Details contains 'PartialDetails' - Case insensitiveCounterpartyAccountstringFilter on bookings where counterparty account matches the specified account no. Criteria: Exact match of AccountBooking.CounterpartyAccount.AccountAmountFromstringMinimum amount value of bookings AmountFrom and AmountTo form a amount value range Criteria: AccountBooking.Amount.Amount must be equal or largerAmountTostringMaximum amount value of bookings AmountFrom and AmountTo form a amount value range Criteria: AccountBooking.Amount.Amount must be equal or smallerPageNumberint321 to 2147483647Defaults to 1Number of the numbered pages of the result set PageNumber and PageSize details the pagination information Condition: Larger than zero Default: 1PageSizeint321 to 5000Defaults to 50Size of the page of the result set PageNumber and PageSize details the pagination information Condition: Between 1 and 5000 Default: 50Responses 200OK 400Bad request. Request is not correctly formulated. Goes for both Header, Query and Body. Verify the error description and properties. 403Forbidden. The server understood the request, but is refusing it or the access is not allowed, i.e. if resource exists but calling user does not have rights to access it. 404Not found. There is no resource behind the URL, i.e. requesting data on an account that does not exist. 500Internal Server Error. Something unexpected happened on BC Connect side.Updated 7 months ago